package org.xyzh.common.dto.resource;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 标签表
 * @filename TbTag.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbTag extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 标签唯一标识
     */
    private String tagID;
    
    /**
     * @description 标签名称
     */
    private String name;
    
    /**
     * @description 标签颜色
     */
    private String color;
    
    /**
     * @description 标签描述
     */
    private String description;
    
    /**
     * @description 创建者
     */
    private String creator;
    
    /**
     * @description 更新者
     */
    private String updater;

    public String getTagID() {
        return tagID;
    }

    public void setTagID(String tagID) {
        this.tagID = tagID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbTag{" +
                "id=" + getID() +
                ", tagID='" + tagID + '\'' +
                ", name='" + name + '\'' +
                ", color='" + color + '\'' +
                ", createTime=" + getCreateTime() +
                '}';
    }
}
